Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi
published on Thursday, Mar 26, 2026 by Pulumi
Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi
published on Thursday, Mar 26, 2026 by Pulumi
This data source provides details about a specific Zone in Oracle Cloud Infrastructure DNS service.
Gets information about a specific zone by name or OCID.
Notes:
- When accessing a private zone by name, the
view_idmust be provided andscopemust bePRIVATE. - The
compartment_idrequest parameter is deprecated by the service for GetZone and can generally be omitted.
Example Usage
Using zone OCID:
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const target = oci.Dns.getZone({
zoneNameOrId: zoneOcid,
scope: "PRIVATE",
viewId: testView.id,
});
import pulumi
import pulumi_oci as oci
target = oci.Dns.get_zone(zone_name_or_id=zone_ocid,
scope="PRIVATE",
view_id=test_view["id"])
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/dns"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := dns.GetZone(ctx, &dns.GetZoneArgs{
ZoneNameOrId: zoneOcid,
Scope: pulumi.StringRef("PRIVATE"),
ViewId: pulumi.StringRef(testView.Id),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var target = Oci.Dns.GetZone.Invoke(new()
{
ZoneNameOrId = zoneOcid,
Scope = "PRIVATE",
ViewId = testView.Id,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.Dns.DnsFunctions;
import com.pulumi.oci.Dns.inputs.GetZoneArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var target = DnsFunctions.getZone(GetZoneArgs.builder()
.zoneNameOrId(zoneOcid)
.scope("PRIVATE")
.viewId(testView.id())
.build());
}
}
variables:
target:
fn::invoke:
function: oci:Dns:getZone
arguments:
zoneNameOrId: ${zoneOcid}
scope: PRIVATE
viewId: ${testView.id}
Using zone name (private zone):
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const targetByName = oci.Dns.getZone({
zoneNameOrId: `${testTenancy.name}.example.internal.`,
scope: "PRIVATE",
viewId: testView.id,
});
import pulumi
import pulumi_oci as oci
target_by_name = oci.Dns.get_zone(zone_name_or_id=f"{test_tenancy['name']}.example.internal.",
scope="PRIVATE",
view_id=test_view["id"])
package main
import (
"fmt"
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/dns"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := dns.GetZone(ctx, &dns.GetZoneArgs{
ZoneNameOrId: fmt.Sprintf("%v.example.internal.", testTenancy.Name),
Scope: pulumi.StringRef("PRIVATE"),
ViewId: pulumi.StringRef(testView.Id),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var targetByName = Oci.Dns.GetZone.Invoke(new()
{
ZoneNameOrId = $"{testTenancy.Name}.example.internal.",
Scope = "PRIVATE",
ViewId = testView.Id,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.Dns.DnsFunctions;
import com.pulumi.oci.Dns.inputs.GetZoneArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var targetByName = DnsFunctions.getZone(GetZoneArgs.builder()
.zoneNameOrId(String.format("%s.example.internal.", testTenancy.name()))
.scope("PRIVATE")
.viewId(testView.id())
.build());
}
}
variables:
targetByName:
fn::invoke:
function: oci:Dns:getZone
arguments:
zoneNameOrId: ${testTenancy.name}.example.internal.
scope: PRIVATE
viewId: ${testView.id}
Using getZone
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getZone(args: GetZoneArgs, opts?: InvokeOptions): Promise<GetZoneResult>
function getZoneOutput(args: GetZoneOutputArgs, opts?: InvokeOptions): Output<GetZoneResult>def get_zone(compartment_id: Optional[str] = None,
scope: Optional[str] = None,
view_id: Optional[str] = None,
zone_name_or_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetZoneResult
def get_zone_output(compartment_id: Optional[pulumi.Input[str]] = None,
scope: Optional[pulumi.Input[str]] = None,
view_id: Optional[pulumi.Input[str]] = None,
zone_name_or_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetZoneResult]func LookupZone(ctx *Context, args *LookupZoneArgs, opts ...InvokeOption) (*LookupZoneResult, error)
func LookupZoneOutput(ctx *Context, args *LookupZoneOutputArgs, opts ...InvokeOption) LookupZoneResultOutput> Note: This function is named LookupZone in the Go SDK.
public static class GetZone
{
public static Task<GetZoneResult> InvokeAsync(GetZoneArgs args, InvokeOptions? opts = null)
public static Output<GetZoneResult> Invoke(GetZoneInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetZoneResult> getZone(GetZoneArgs args, InvokeOptions options)
public static Output<GetZoneResult> getZone(GetZoneArgs args, InvokeOptions options)
fn::invoke:
function: oci:Dns/getZone:getZone
arguments:
# arguments dictionaryThe following arguments are supported:
- Zone
Name stringOr Id - The name or OCID of the target zone.
- Compartment
Id string - The OCID of the compartment the zone belongs to. This parameter is deprecated by the service for
GetZoneand should be omitted in most cases. - Scope string
- Specifies to operate only on resources that have a matching DNS scope. Allowed values:
GLOBAL,PRIVATE. Required to access private zones by name. - View
Id string - The OCID of the view the zone is associated with. Required when accessing a private zone by name.
- Zone
Name stringOr Id - The name or OCID of the target zone.
- Compartment
Id string - The OCID of the compartment the zone belongs to. This parameter is deprecated by the service for
GetZoneand should be omitted in most cases. - Scope string
- Specifies to operate only on resources that have a matching DNS scope. Allowed values:
GLOBAL,PRIVATE. Required to access private zones by name. - View
Id string - The OCID of the view the zone is associated with. Required when accessing a private zone by name.
- zone
Name StringOr Id - The name or OCID of the target zone.
- compartment
Id String - The OCID of the compartment the zone belongs to. This parameter is deprecated by the service for
GetZoneand should be omitted in most cases. - scope String
- Specifies to operate only on resources that have a matching DNS scope. Allowed values:
GLOBAL,PRIVATE. Required to access private zones by name. - view
Id String - The OCID of the view the zone is associated with. Required when accessing a private zone by name.
- zone
Name stringOr Id - The name or OCID of the target zone.
- compartment
Id string - The OCID of the compartment the zone belongs to. This parameter is deprecated by the service for
GetZoneand should be omitted in most cases. - scope string
- Specifies to operate only on resources that have a matching DNS scope. Allowed values:
GLOBAL,PRIVATE. Required to access private zones by name. - view
Id string - The OCID of the view the zone is associated with. Required when accessing a private zone by name.
- zone_
name_ stror_ id - The name or OCID of the target zone.
- compartment_
id str - The OCID of the compartment the zone belongs to. This parameter is deprecated by the service for
GetZoneand should be omitted in most cases. - scope str
- Specifies to operate only on resources that have a matching DNS scope. Allowed values:
GLOBAL,PRIVATE. Required to access private zones by name. - view_
id str - The OCID of the view the zone is associated with. Required when accessing a private zone by name.
- zone
Name StringOr Id - The name or OCID of the target zone.
- compartment
Id String - The OCID of the compartment the zone belongs to. This parameter is deprecated by the service for
GetZoneand should be omitted in most cases. - scope String
- Specifies to operate only on resources that have a matching DNS scope. Allowed values:
GLOBAL,PRIVATE. Required to access private zones by name. - view
Id String - The OCID of the view the zone is associated with. Required when accessing a private zone by name.
getZone Result
The following output properties are available:
- Dictionary<string, string>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
- Dnssec
Configs List<GetZone Dnssec Config> - DNSSEC configuration data.
- Dnssec
State string - The state of DNSSEC on the zone.
- External
Downstreams List<GetZone External Downstream> - External secondary servers for the zone.
- External
Masters List<GetZone External Master> - External master servers for the zone (required when
zone_typeisSECONDARY). - Dictionary<string, string>
- Free-form tags for this resource. Each tag is a simple key-value pair.
- Id string
- The OCID of the zone.
- Is
Protected bool - Whether parts of the resource are protected from explicit management.
- Name string
- The name of the zone.
- Nameservers
List<Get
Zone Nameserver> - Nameservers for the zone.
- Resolution
Mode string - The resolution mode for the zone.
- Self string
- The canonical absolute URL of the resource.
- Serial int
- The current serial of the zone (from the SOA record).
- State string
- The current lifecycle state of the zone.
- Time
Created string - The RFC 3339 timestamp when the zone was created.
- Version string
- The version of the zone from which the SOA serial is derived.
- Zone
Name stringOr Id - Zone
Transfer List<GetServers Zone Zone Transfer Server> - The OCI nameservers that transfer zone data with external nameservers.
- Zone
Type string - The type of the zone. Must be either
PRIMARYorSECONDARY.SECONDARYis supported only forGLOBALzones. - Compartment
Id string - The OCID of the compartment containing the zone.
- Scope string
- The scope of the zone.
- View
Id string - The OCID of the private view containing the zone (null for global zones).
- map[string]string
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
- Dnssec
Configs []GetZone Dnssec Config - DNSSEC configuration data.
- Dnssec
State string - The state of DNSSEC on the zone.
- External
Downstreams []GetZone External Downstream - External secondary servers for the zone.
- External
Masters []GetZone External Master - External master servers for the zone (required when
zone_typeisSECONDARY). - map[string]string
- Free-form tags for this resource. Each tag is a simple key-value pair.
- Id string
- The OCID of the zone.
- Is
Protected bool - Whether parts of the resource are protected from explicit management.
- Name string
- The name of the zone.
- Nameservers
[]Get
Zone Nameserver - Nameservers for the zone.
- Resolution
Mode string - The resolution mode for the zone.
- Self string
- The canonical absolute URL of the resource.
- Serial int
- The current serial of the zone (from the SOA record).
- State string
- The current lifecycle state of the zone.
- Time
Created string - The RFC 3339 timestamp when the zone was created.
- Version string
- The version of the zone from which the SOA serial is derived.
- Zone
Name stringOr Id - Zone
Transfer []GetServers Zone Zone Transfer Server - The OCI nameservers that transfer zone data with external nameservers.
- Zone
Type string - The type of the zone. Must be either
PRIMARYorSECONDARY.SECONDARYis supported only forGLOBALzones. - Compartment
Id string - The OCID of the compartment containing the zone.
- Scope string
- The scope of the zone.
- View
Id string - The OCID of the private view containing the zone (null for global zones).
- Map<String,String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
- dnssec
Configs List<GetZonesec Config> - DNSSEC configuration data.
- dnssec
State String - The state of DNSSEC on the zone.
- external
Downstreams List<GetZone External Downstream> - External secondary servers for the zone.
- external
Masters List<GetZone External Master> - External master servers for the zone (required when
zone_typeisSECONDARY). - Map<String,String>
- Free-form tags for this resource. Each tag is a simple key-value pair.
- id String
- The OCID of the zone.
- is
Protected Boolean - Whether parts of the resource are protected from explicit management.
- name String
- The name of the zone.
- nameservers
List<Get
Zone Nameserver> - Nameservers for the zone.
- resolution
Mode String - The resolution mode for the zone.
- self String
- The canonical absolute URL of the resource.
- serial Integer
- The current serial of the zone (from the SOA record).
- state String
- The current lifecycle state of the zone.
- time
Created String - The RFC 3339 timestamp when the zone was created.
- version String
- The version of the zone from which the SOA serial is derived.
- zone
Name StringOr Id - zone
Transfer List<GetServers Zone Zone Transfer Server> - The OCI nameservers that transfer zone data with external nameservers.
- zone
Type String - The type of the zone. Must be either
PRIMARYorSECONDARY.SECONDARYis supported only forGLOBALzones. - compartment
Id String - The OCID of the compartment containing the zone.
- scope String
- The scope of the zone.
- view
Id String - The OCID of the private view containing the zone (null for global zones).
- {[key: string]: string}
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
- dnssec
Configs GetZone Dnssec Config[] - DNSSEC configuration data.
- dnssec
State string - The state of DNSSEC on the zone.
- external
Downstreams GetZone External Downstream[] - External secondary servers for the zone.
- external
Masters GetZone External Master[] - External master servers for the zone (required when
zone_typeisSECONDARY). - {[key: string]: string}
- Free-form tags for this resource. Each tag is a simple key-value pair.
- id string
- The OCID of the zone.
- is
Protected boolean - Whether parts of the resource are protected from explicit management.
- name string
- The name of the zone.
- nameservers
Get
Zone Nameserver[] - Nameservers for the zone.
- resolution
Mode string - The resolution mode for the zone.
- self string
- The canonical absolute URL of the resource.
- serial number
- The current serial of the zone (from the SOA record).
- state string
- The current lifecycle state of the zone.
- time
Created string - The RFC 3339 timestamp when the zone was created.
- version string
- The version of the zone from which the SOA serial is derived.
- zone
Name stringOr Id - zone
Transfer GetServers Zone Zone Transfer Server[] - The OCI nameservers that transfer zone data with external nameservers.
- zone
Type string - The type of the zone. Must be either
PRIMARYorSECONDARY.SECONDARYis supported only forGLOBALzones. - compartment
Id string - The OCID of the compartment containing the zone.
- scope string
- The scope of the zone.
- view
Id string - The OCID of the private view containing the zone (null for global zones).
- Mapping[str, str]
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
- dnssec_
configs Sequence[GetZone Dnssec Config] - DNSSEC configuration data.
- dnssec_
state str - The state of DNSSEC on the zone.
- external_
downstreams Sequence[GetZone External Downstream] - External secondary servers for the zone.
- external_
masters Sequence[GetZone External Master] - External master servers for the zone (required when
zone_typeisSECONDARY). - Mapping[str, str]
- Free-form tags for this resource. Each tag is a simple key-value pair.
- id str
- The OCID of the zone.
- is_
protected bool - Whether parts of the resource are protected from explicit management.
- name str
- The name of the zone.
- nameservers
Sequence[Get
Zone Nameserver] - Nameservers for the zone.
- resolution_
mode str - The resolution mode for the zone.
- self str
- The canonical absolute URL of the resource.
- serial int
- The current serial of the zone (from the SOA record).
- state str
- The current lifecycle state of the zone.
- time_
created str - The RFC 3339 timestamp when the zone was created.
- version str
- The version of the zone from which the SOA serial is derived.
- zone_
name_ stror_ id - zone_
transfer_ Sequence[Getservers Zone Zone Transfer Server] - The OCI nameservers that transfer zone data with external nameservers.
- zone_
type str - The type of the zone. Must be either
PRIMARYorSECONDARY.SECONDARYis supported only forGLOBALzones. - compartment_
id str - The OCID of the compartment containing the zone.
- scope str
- The scope of the zone.
- view_
id str - The OCID of the private view containing the zone (null for global zones).
- Map<String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
- dnssec
Configs List<Property Map> - DNSSEC configuration data.
- dnssec
State String - The state of DNSSEC on the zone.
- external
Downstreams List<Property Map> - External secondary servers for the zone.
- external
Masters List<Property Map> - External master servers for the zone (required when
zone_typeisSECONDARY). - Map<String>
- Free-form tags for this resource. Each tag is a simple key-value pair.
- id String
- The OCID of the zone.
- is
Protected Boolean - Whether parts of the resource are protected from explicit management.
- name String
- The name of the zone.
- nameservers List<Property Map>
- Nameservers for the zone.
- resolution
Mode String - The resolution mode for the zone.
- self String
- The canonical absolute URL of the resource.
- serial Number
- The current serial of the zone (from the SOA record).
- state String
- The current lifecycle state of the zone.
- time
Created String - The RFC 3339 timestamp when the zone was created.
- version String
- The version of the zone from which the SOA serial is derived.
- zone
Name StringOr Id - zone
Transfer List<Property Map>Servers - The OCI nameservers that transfer zone data with external nameservers.
- zone
Type String - The type of the zone. Must be either
PRIMARYorSECONDARY.SECONDARYis supported only forGLOBALzones. - compartment
Id String - The OCID of the compartment containing the zone.
- scope String
- The scope of the zone.
- view
Id String - The OCID of the private view containing the zone (null for global zones).
Supporting Types
GetZoneDnssecConfig
- Ksk
Dnssec List<GetKey Versions Zone Dnssec Config Ksk Dnssec Key Version> - A read-only array of key signing key (KSK) versions.
- Zsk
Dnssec List<GetKey Versions Zone Dnssec Config Zsk Dnssec Key Version> - A read-only array of zone signing key (ZSK) versions.
- Ksk
Dnssec []GetKey Versions Zone Dnssec Config Ksk Dnssec Key Version - A read-only array of key signing key (KSK) versions.
- Zsk
Dnssec []GetKey Versions Zone Dnssec Config Zsk Dnssec Key Version - A read-only array of zone signing key (ZSK) versions.
- ksk
Dnssec List<GetKey Versions Zonesec Config Ksksec Key Version> - A read-only array of key signing key (KSK) versions.
- zsk
Dnssec List<GetKey Versions Zonesec Config Zsksec Key Version> - A read-only array of zone signing key (ZSK) versions.
- ksk
Dnssec GetKey Versions Zone Dnssec Config Ksk Dnssec Key Version[] - A read-only array of key signing key (KSK) versions.
- zsk
Dnssec GetKey Versions Zone Dnssec Config Zsk Dnssec Key Version[] - A read-only array of zone signing key (ZSK) versions.
- ksk_
dnssec_ Sequence[Getkey_ versions Zone Dnssec Config Ksk Dnssec Key Version] - A read-only array of key signing key (KSK) versions.
- zsk_
dnssec_ Sequence[Getkey_ versions Zone Dnssec Config Zsk Dnssec Key Version] - A read-only array of zone signing key (ZSK) versions.
- ksk
Dnssec List<Property Map>Key Versions - A read-only array of key signing key (KSK) versions.
- zsk
Dnssec List<Property Map>Key Versions - A read-only array of zone signing key (ZSK) versions.
GetZoneDnssecConfigKskDnssecKeyVersion
- Algorithm string
- The signing algorithm used for the key.
- Ds
Datas List<GetZone Dnssec Config Ksk Dnssec Key Version Ds Data> - An array of data for DS records corresponding with this key version. An entry will exist for each supported DS digest algorithm.
- Key
Tag int - The key tag associated with the
DnssecKeyVersion. - Length
In intBytes - The length of the corresponding private key in bytes.
- Predecessor
Dnssec stringKey Version Uuid - UUID of the key version this will replace or has replaced.
- Successor
Dnssec stringKey Version Uuid - UUID of the key version that will replace or has replaced this key version.
- Time
Activated string - RFC 3339 timestamp when the key version went or will go active.
- Time
Created string - The RFC 3339 timestamp when the zone was created.
- Time
Expired string - RFC 3339 timestamp for end of recommended lifetime.
- Time
Inactivated string - RFC 3339 timestamp when the key version went or will go inactive.
- Time
Promoted string - RFC 3339 timestamp when the key version was promoted.
- Time
Published string - RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
- Time
Unpublished string - RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
- Uuid string
- The UUID of the
DnssecKeyVersion.
- Algorithm string
- The signing algorithm used for the key.
- Ds
Datas []GetZone Dnssec Config Ksk Dnssec Key Version Ds Data - An array of data for DS records corresponding with this key version. An entry will exist for each supported DS digest algorithm.
- Key
Tag int - The key tag associated with the
DnssecKeyVersion. - Length
In intBytes - The length of the corresponding private key in bytes.
- Predecessor
Dnssec stringKey Version Uuid - UUID of the key version this will replace or has replaced.
- Successor
Dnssec stringKey Version Uuid - UUID of the key version that will replace or has replaced this key version.
- Time
Activated string - RFC 3339 timestamp when the key version went or will go active.
- Time
Created string - The RFC 3339 timestamp when the zone was created.
- Time
Expired string - RFC 3339 timestamp for end of recommended lifetime.
- Time
Inactivated string - RFC 3339 timestamp when the key version went or will go inactive.
- Time
Promoted string - RFC 3339 timestamp when the key version was promoted.
- Time
Published string - RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
- Time
Unpublished string - RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
- Uuid string
- The UUID of the
DnssecKeyVersion.
- algorithm String
- The signing algorithm used for the key.
- ds
Datas List<GetZonesec Config Ksksec Key Version Ds Data> - An array of data for DS records corresponding with this key version. An entry will exist for each supported DS digest algorithm.
- key
Tag Integer - The key tag associated with the
DnssecKeyVersion. - length
In IntegerBytes - The length of the corresponding private key in bytes.
- predecessor
Dnssec StringKey Version Uuid - UUID of the key version this will replace or has replaced.
- successor
Dnssec StringKey Version Uuid - UUID of the key version that will replace or has replaced this key version.
- time
Activated String - RFC 3339 timestamp when the key version went or will go active.
- time
Created String - The RFC 3339 timestamp when the zone was created.
- time
Expired String - RFC 3339 timestamp for end of recommended lifetime.
- time
Inactivated String - RFC 3339 timestamp when the key version went or will go inactive.
- time
Promoted String - RFC 3339 timestamp when the key version was promoted.
- time
Published String - RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
- time
Unpublished String - RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
- uuid String
- The UUID of the
DnssecKeyVersion.
- algorithm string
- The signing algorithm used for the key.
- ds
Datas GetZone Dnssec Config Ksk Dnssec Key Version Ds Data[] - An array of data for DS records corresponding with this key version. An entry will exist for each supported DS digest algorithm.
- key
Tag number - The key tag associated with the
DnssecKeyVersion. - length
In numberBytes - The length of the corresponding private key in bytes.
- predecessor
Dnssec stringKey Version Uuid - UUID of the key version this will replace or has replaced.
- successor
Dnssec stringKey Version Uuid - UUID of the key version that will replace or has replaced this key version.
- time
Activated string - RFC 3339 timestamp when the key version went or will go active.
- time
Created string - The RFC 3339 timestamp when the zone was created.
- time
Expired string - RFC 3339 timestamp for end of recommended lifetime.
- time
Inactivated string - RFC 3339 timestamp when the key version went or will go inactive.
- time
Promoted string - RFC 3339 timestamp when the key version was promoted.
- time
Published string - RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
- time
Unpublished string - RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
- uuid string
- The UUID of the
DnssecKeyVersion.
- algorithm str
- The signing algorithm used for the key.
- ds_
datas Sequence[GetZone Dnssec Config Ksk Dnssec Key Version Ds Data] - An array of data for DS records corresponding with this key version. An entry will exist for each supported DS digest algorithm.
- key_
tag int - The key tag associated with the
DnssecKeyVersion. - length_
in_ intbytes - The length of the corresponding private key in bytes.
- predecessor_
dnssec_ strkey_ version_ uuid - UUID of the key version this will replace or has replaced.
- successor_
dnssec_ strkey_ version_ uuid - UUID of the key version that will replace or has replaced this key version.
- time_
activated str - RFC 3339 timestamp when the key version went or will go active.
- time_
created str - The RFC 3339 timestamp when the zone was created.
- time_
expired str - RFC 3339 timestamp for end of recommended lifetime.
- time_
inactivated str - RFC 3339 timestamp when the key version went or will go inactive.
- time_
promoted str - RFC 3339 timestamp when the key version was promoted.
- time_
published str - RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
- time_
unpublished str - RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
- uuid str
- The UUID of the
DnssecKeyVersion.
- algorithm String
- The signing algorithm used for the key.
- ds
Datas List<Property Map> - An array of data for DS records corresponding with this key version. An entry will exist for each supported DS digest algorithm.
- key
Tag Number - The key tag associated with the
DnssecKeyVersion. - length
In NumberBytes - The length of the corresponding private key in bytes.
- predecessor
Dnssec StringKey Version Uuid - UUID of the key version this will replace or has replaced.
- successor
Dnssec StringKey Version Uuid - UUID of the key version that will replace or has replaced this key version.
- time
Activated String - RFC 3339 timestamp when the key version went or will go active.
- time
Created String - The RFC 3339 timestamp when the zone was created.
- time
Expired String - RFC 3339 timestamp for end of recommended lifetime.
- time
Inactivated String - RFC 3339 timestamp when the key version went or will go inactive.
- time
Promoted String - RFC 3339 timestamp when the key version was promoted.
- time
Published String - RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
- time
Unpublished String - RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
- uuid String
- The UUID of the
DnssecKeyVersion.
GetZoneDnssecConfigKskDnssecKeyVersionDsData
- Digest
Type string - The type of the digest associated with the rdata.
- Rdata string
- Presentation-format DS record data that must be added to the parent zone.
- Digest
Type string - The type of the digest associated with the rdata.
- Rdata string
- Presentation-format DS record data that must be added to the parent zone.
- digest
Type String - The type of the digest associated with the rdata.
- rdata String
- Presentation-format DS record data that must be added to the parent zone.
- digest
Type string - The type of the digest associated with the rdata.
- rdata string
- Presentation-format DS record data that must be added to the parent zone.
- digest_
type str - The type of the digest associated with the rdata.
- rdata str
- Presentation-format DS record data that must be added to the parent zone.
- digest
Type String - The type of the digest associated with the rdata.
- rdata String
- Presentation-format DS record data that must be added to the parent zone.
GetZoneDnssecConfigZskDnssecKeyVersion
- Algorithm string
- The signing algorithm used for the key.
- Key
Tag int - The key tag associated with the
DnssecKeyVersion. - Length
In intBytes - The length of the corresponding private key in bytes.
- Predecessor
Dnssec stringKey Version Uuid - UUID of the key version this will replace or has replaced.
- Successor
Dnssec stringKey Version Uuid - UUID of the key version that will replace or has replaced this key version.
- Time
Activated string - RFC 3339 timestamp when the key version went or will go active.
- Time
Created string - The RFC 3339 timestamp when the zone was created.
- Time
Expired string - RFC 3339 timestamp for end of recommended lifetime.
- Time
Inactivated string - RFC 3339 timestamp when the key version went or will go inactive.
- Time
Promoted string - RFC 3339 timestamp when the key version was promoted.
- Time
Published string - RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
- Time
Unpublished string - RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
- Uuid string
- The UUID of the
DnssecKeyVersion.
- Algorithm string
- The signing algorithm used for the key.
- Key
Tag int - The key tag associated with the
DnssecKeyVersion. - Length
In intBytes - The length of the corresponding private key in bytes.
- Predecessor
Dnssec stringKey Version Uuid - UUID of the key version this will replace or has replaced.
- Successor
Dnssec stringKey Version Uuid - UUID of the key version that will replace or has replaced this key version.
- Time
Activated string - RFC 3339 timestamp when the key version went or will go active.
- Time
Created string - The RFC 3339 timestamp when the zone was created.
- Time
Expired string - RFC 3339 timestamp for end of recommended lifetime.
- Time
Inactivated string - RFC 3339 timestamp when the key version went or will go inactive.
- Time
Promoted string - RFC 3339 timestamp when the key version was promoted.
- Time
Published string - RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
- Time
Unpublished string - RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
- Uuid string
- The UUID of the
DnssecKeyVersion.
- algorithm String
- The signing algorithm used for the key.
- key
Tag Integer - The key tag associated with the
DnssecKeyVersion. - length
In IntegerBytes - The length of the corresponding private key in bytes.
- predecessor
Dnssec StringKey Version Uuid - UUID of the key version this will replace or has replaced.
- successor
Dnssec StringKey Version Uuid - UUID of the key version that will replace or has replaced this key version.
- time
Activated String - RFC 3339 timestamp when the key version went or will go active.
- time
Created String - The RFC 3339 timestamp when the zone was created.
- time
Expired String - RFC 3339 timestamp for end of recommended lifetime.
- time
Inactivated String - RFC 3339 timestamp when the key version went or will go inactive.
- time
Promoted String - RFC 3339 timestamp when the key version was promoted.
- time
Published String - RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
- time
Unpublished String - RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
- uuid String
- The UUID of the
DnssecKeyVersion.
- algorithm string
- The signing algorithm used for the key.
- key
Tag number - The key tag associated with the
DnssecKeyVersion. - length
In numberBytes - The length of the corresponding private key in bytes.
- predecessor
Dnssec stringKey Version Uuid - UUID of the key version this will replace or has replaced.
- successor
Dnssec stringKey Version Uuid - UUID of the key version that will replace or has replaced this key version.
- time
Activated string - RFC 3339 timestamp when the key version went or will go active.
- time
Created string - The RFC 3339 timestamp when the zone was created.
- time
Expired string - RFC 3339 timestamp for end of recommended lifetime.
- time
Inactivated string - RFC 3339 timestamp when the key version went or will go inactive.
- time
Promoted string - RFC 3339 timestamp when the key version was promoted.
- time
Published string - RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
- time
Unpublished string - RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
- uuid string
- The UUID of the
DnssecKeyVersion.
- algorithm str
- The signing algorithm used for the key.
- key_
tag int - The key tag associated with the
DnssecKeyVersion. - length_
in_ intbytes - The length of the corresponding private key in bytes.
- predecessor_
dnssec_ strkey_ version_ uuid - UUID of the key version this will replace or has replaced.
- successor_
dnssec_ strkey_ version_ uuid - UUID of the key version that will replace or has replaced this key version.
- time_
activated str - RFC 3339 timestamp when the key version went or will go active.
- time_
created str - The RFC 3339 timestamp when the zone was created.
- time_
expired str - RFC 3339 timestamp for end of recommended lifetime.
- time_
inactivated str - RFC 3339 timestamp when the key version went or will go inactive.
- time_
promoted str - RFC 3339 timestamp when the key version was promoted.
- time_
published str - RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
- time_
unpublished str - RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
- uuid str
- The UUID of the
DnssecKeyVersion.
- algorithm String
- The signing algorithm used for the key.
- key
Tag Number - The key tag associated with the
DnssecKeyVersion. - length
In NumberBytes - The length of the corresponding private key in bytes.
- predecessor
Dnssec StringKey Version Uuid - UUID of the key version this will replace or has replaced.
- successor
Dnssec StringKey Version Uuid - UUID of the key version that will replace or has replaced this key version.
- time
Activated String - RFC 3339 timestamp when the key version went or will go active.
- time
Created String - The RFC 3339 timestamp when the zone was created.
- time
Expired String - RFC 3339 timestamp for end of recommended lifetime.
- time
Inactivated String - RFC 3339 timestamp when the key version went or will go inactive.
- time
Promoted String - RFC 3339 timestamp when the key version was promoted.
- time
Published String - RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
- time
Unpublished String - RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
- uuid String
- The UUID of the
DnssecKeyVersion.
GetZoneExternalDownstream
- address str
- The server's IP address (IPv4 or IPv6).
- port int
- The server's port.
- tsig_
key_ strid - The OCID of the TSIG key.
GetZoneExternalMaster
- address str
- The server's IP address (IPv4 or IPv6).
- port int
- The server's port.
- tsig_
key_ strid - The OCID of the TSIG key.
GetZoneNameserver
- Hostname string
- Hostname of the nameserver.
- Hostname string
- Hostname of the nameserver.
- hostname String
- Hostname of the nameserver.
- hostname string
- Hostname of the nameserver.
- hostname str
- Hostname of the nameserver.
- hostname String
- Hostname of the nameserver.
GetZoneZoneTransferServer
- Address string
- The server's IP address (IPv4 or IPv6).
- Is
Transfer boolDestination - Whether the server is a zone data transfer destination.
- Is
Transfer boolSource - Whether the server is a zone data transfer source.
- Port int
- The server's port.
- Address string
- The server's IP address (IPv4 or IPv6).
- Is
Transfer boolDestination - Whether the server is a zone data transfer destination.
- Is
Transfer boolSource - Whether the server is a zone data transfer source.
- Port int
- The server's port.
- address String
- The server's IP address (IPv4 or IPv6).
- is
Transfer BooleanDestination - Whether the server is a zone data transfer destination.
- is
Transfer BooleanSource - Whether the server is a zone data transfer source.
- port Integer
- The server's port.
- address string
- The server's IP address (IPv4 or IPv6).
- is
Transfer booleanDestination - Whether the server is a zone data transfer destination.
- is
Transfer booleanSource - Whether the server is a zone data transfer source.
- port number
- The server's port.
- address str
- The server's IP address (IPv4 or IPv6).
- is_
transfer_ booldestination - Whether the server is a zone data transfer destination.
- is_
transfer_ boolsource - Whether the server is a zone data transfer source.
- port int
- The server's port.
- address String
- The server's IP address (IPv4 or IPv6).
- is
Transfer BooleanDestination - Whether the server is a zone data transfer destination.
- is
Transfer BooleanSource - Whether the server is a zone data transfer source.
- port Number
- The server's port.
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi
published on Thursday, Mar 26, 2026 by Pulumi
